// Toggle button for the sticky local tasks
const stickyLocalTasksToggle = document.getElementById(
	'sticky-local-tasks__toggle'
);

// The list of sticky local tasks
const stickyLocalTasksItems = document.getElementById(
	'sticky-local-tasks__items'
);

// Toggle the sticky local tasks items
if (stickyLocalTasksToggle) {
	stickyLocalTasksToggle.addEventListener('click', function () {
		if (stickyLocalTasksItems.classList.contains('show')) {
			hidestickyLocalTasksItems();
		} else {
			showstickyLocalTasksItems();
		}

		stickyLocalTasksToggle.classList.toggle('active');
		if (stickyLocalTasksToggle.getAttribute('aria-expanded') === 'false') {
			stickyLocalTasksToggle.setAttribute('aria-expanded', 'true');
		} else {
			stickyLocalTasksToggle.setAttribute('aria-expanded', 'false');
		}
	});
}

// Show the sticky local tasks items
function showstickyLocalTasksItems() {
	stickyLocalTasksItems.style.display = 'flex';
	stickyLocalTasksItems.classList.add('show');
}

// Hide the sticky local tasks items
function hidestickyLocalTasksItems() {
	setTimeout(function () {
		stickyLocalTasksItems.style.display = 'none';
	}, 200);
	stickyLocalTasksItems.classList.remove('show');
}
